using System.Collections.Generic;
using System.Linq;
using Managistics.Core.Infrastructure;
using Managistics.Core.Repositories;
using Managistics.Core.Services;
using Managistics.Model;
using Managistics.Model.ValueObject;

namespace Managistics.Core.Services.Impl
{
    public class PurchaseOrderService : IPurchaseOrderService
    {
        private readonly IInputRepository _inputRepository;
        private readonly IPurchaseOrderRepository _purchaseOrderRepository;

        public PurchaseOrderService(IInputRepository inputRepository, IPurchaseOrderRepository purchaseOrderRepository)
        {
            _inputRepository = inputRepository;
            this._purchaseOrderRepository = purchaseOrderRepository;
        }

        [UnitOfWork]
        public List<PurchaseOrder> GetPurchaseOrder(PurchaseOrderVO purchaseOrder)
        {
            return this._purchaseOrderRepository.GetPurchaseOrder(purchaseOrder);
        }

    }
}