using System; 
using System.Collections.Generic; 
using System.Text; 
using FluentNHibernate.Mapping;
using Managistics.Model; 

namespace Managistics.Model.Mappings {
    
    
    public class CatalogMap : ClassMap<Catalog> {
        
        public CatalogMap() {
			Table("CATALOG");
			LazyLoad();
			Id(x => x.CatalogId).GeneratedBy.Assigned().Column("CATALOG_ID");
			Map(x => x.CatalogName).Column("CATALOG_NAME").Not.Nullable().Length(50);
			Map(x => x.DescriptionCatalog).Column("DESCRIPTION_CATALOG").Length(200);
			HasMany(x => x.ItemType).KeyColumn("CATALOG_ID");
        }
    }
}
