using System; 
using System.Collections.Generic; 
using System.Text; 
using FluentNHibernate.Mapping;
using Managistics.Model; 

namespace Managistics.Model.Mappings {
    
    
    public class DetailInputSheetDomesticMap : ClassMap<DetailInputSheetDomestic> {
        
        public DetailInputSheetDomesticMap() {
			Table("DETAIL_INPUT_SHEET_DOMESTIC");
			LazyLoad();
			CompositeId().KeyProperty(x => x.ItemId, "ITEM_ID")
			             .KeyProperty(x => x.InputSheetDId, "INPUT_SHEET_D_ID");
			References(x => x.Items).Column("ITEM_ID");
			References(x => x.InputSheetDomestic).Column("INPUT_SHEET_D_ID");
			Map(x => x.QuantityInputD).Column("QUANTITY_INPUT_D").Not.Nullable().Precision(53);
			Map(x => x.StatusItemId).Column("STATUS_ITEM_ID");
        }
    }
}
